Sisyphus repositório
Última atualização: 1 outubro 2023 | SRPMs: 18631 | Visitas: 36740991
en ru br
ALT Linux repositórios
S:5.27.8-alt1

Group :: Desktop gráfico/KDE
RPM: plasma5-layer-shell-qt

 Main   Changelog   Spec   Patches   Sources   Download   Gear   Bugs e FR  Repocop 

%define rname layer-shell-qt

%define sover 5
%define liblayershellqtinterface liblayershellqtinterface%sover

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Plasma 5 Wayland shell component
Url: http://www.kde.org
License: GPL-2.0-or-later

Source: %rname-%version.tar

# Automatically added by buildreq on Fri Jul 02 2021 (-bi)

# optimized out: cmake cmake-modules debugedit elfutils fontconfig gcc-c++ glibc-kernheaders-generic glibc-kernheaders-x86 libctf-nobfd0 libglvnd-devel libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-qml libqt5-waylandclient libsasl2-3 libssl-devel libstdc++-devel libwayland-client libwayland-client-devel libwayland-cursor libwayland-server-devel libxkbcommon-devel pkg-config python-modules python2-base python3 python3-base python3-module-paste qt5-base-devel qt5-declarative-devel rpm-build-python3 rpm-macros-python sh4 wayland-devel
#BuildRequires: appstream extra-cmake-modules git-core python-modules-compiler python3-dev python3-module-mpl_toolkits qt5-base-devel-static qt5-svg-devel qt5-wayland-devel tbb-devel wayland-protocols
BuildRequires(pre): rpm-build-kf5
BuildRequires: qt5-base-devel
BuildRequires: extra-cmake-modules
BuildRequires: qt5-base-devel-static qt5-svg-devel qt5-wayland-devel wayland-protocols

%description
This component is meant for applications to be able to easily use clients based on wlr-layer-shell.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %liblayershellqtinterface
Group: System/Libraries
Summary: %name library
Requires: %name-common
%description -n %liblayershellqtinterface
%name library


%prep
%setup -n %rname-%version

%build
%K5build \
   -DKDE_INSTALL_INCLUDEDIR=%_K5inc \
   #

%install
%K5install
%find_lang %name --all-name

%files common -f %name.lang
%doc LICENSES/*

%files
%_K5plug/wayland-shell-integration/liblayer-shell.so

%files devel
%_K5inc/LayerShellQt/
%_K5link/lib*.so
%_K5lib/cmake/LayerShellQt/

%files -n %liblayershellqtinterface
%_K5lib/libLayerShellQtInterface.so.%sover
%_K5lib/libLayerShellQtInterface.so.*

%changelog

Todas as alterações você pod ver aqui

 
projeto & código: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
mantenedor atual: Michael Shigorin
mantenedor da tradução: Fernando Martini aka fmartini © 2009